Bug 496739 - radvd eats 100% CPU after interface comes back
radvd eats 100% CPU after interface comes back
Product: Fedora
Classification: Fedora
Component: radvd (Show other bugs)
All Linux
low Severity high
: ---
: ---
Assigned To: Jiri Skala
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 555348
  Show dependency treegraph
Reported: 2009-04-20 17:21 EDT by Peter Bieringer
Modified: 2014-11-09 17:31 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 555348 (view as bug list)
Last Closed: 2010-05-05 10:27:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
actual radvd.conf (2.00 KB, application/octet-stream)
2009-11-20 09:30 EST, Stefan Jensen
no flags Details

  None (edit)
Description Peter Bieringer 2009-04-20 17:21:44 EDT
Description of problem:

After a poweroutage on a switch, radvd eats 100% CPU after the interface is up again.

Version-Release number of selected component (if applicable):

How reproducible:
Looks like always, already 2 times happen

Steps to Reproduce:
1. configure radvd
2. powercycle switch
Actual results:
25634 radvd     20   0  1980  484  372 R 93.3  0.0  20:37.71 radvd 

Expected results:
Not such CPU consumption

Additional info:

Syslog tells:

Apr 20 22:52:29 *** kernel: 0000:01:00.0: eth0: Link is Up 1000 Mbps Full Duplex, Flow Control: RX/TX
Apr 20 22:56:38 *** radvd[25634]: interface eth0 seems to have come back up, trying to reinitialize
Apr 20 22:56:38 *** radvd[25634]: attempting to reread config file
Apr 20 22:56:38 *** radvd[25634]: resuming normal operation

gdb tells:

Loaded symbols for /lib/libnss_files.so.2
set_timer (tm=0x1aac168, secs=16) at timer.c:92
92			lst = lst->next;
(gdb) n
95			  (tm->expires.tv_usec > lst->expires.tv_usec)));
(gdb) n
92			lst = lst->next;
(gdb) n
95			  (tm->expires.tv_usec > lst->expires.tv_usec)));
(gdb) n
92			lst = lst->next;
(gdb) n
95			  (tm->expires.tv_usec > lst->expires.tv_usec)));
(gdb) n
92			lst = lst->next;
(gdb) n
95			  (tm->expires.tv_usec > lst->expires.tv_usec)));
(gdb) n
92			lst = lst->next;
(gdb) n
95			  (tm->expires.tv_usec > lst->expires.tv_usec)));
(gdb) n
92			lst = lst->next;
(gdb) detach
Detaching from program: /usr/sbin/radvd, process 25634

Looks like radvd turns mad in a expire timer section.
Comment 1 Stefan Jensen 2009-05-27 08:21:48 EDT
I can reproduce this. It happens *most* of the times, when a interface goes down/up which radvd is configured for. (even for wlan or tap devices)

$ rpm-qa| grep radvd


best regards
Comment 2 Stefan Jensen 2009-06-21 17:59:12 EDT
Still an issue on F11 with: radvd-1.1-8.fc11.x86_64
Comment 3 Bug Zapper 2009-11-18 04:59:52 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 4 Jiri Skala 2009-11-20 06:56:28 EST
I'm not able to reproduce it. I'm just trying it on F-11 ravdv-1.1.9 (nothing important between 8 & 9). Everything runs right.

What about your kernel version? Any custom compilation of kernel, options, ...? Could you send me your radvd.conf?

Thanks Jiri
Comment 5 Stefan Jensen 2009-11-20 09:30:41 EST
Created attachment 372506 [details]
actual radvd.conf
Comment 6 Stefan Jensen 2009-11-20 09:35:07 EST

nothing special here, except a custom build madwifi module.

$rpm -qa| grep radvd

$uname -a
Linux localhost.localdomain #1 SMP Wed Nov 4 00:02:04 EST 2009 x86_64 x86_64 x86_64 GNU/Linux

$ cat /etc/sysctl.conf
# Kernel sysctl configuration file for Red Hat Linux
# For binary values, 0 is disabled, 1 is enabled.  See sysctl(8) and
# sysctl.conf(5) for more details.

# Enables iptables connection tracking 
net.netfilter.nf_conntrack_acct = 1

# Controls IP packet forwarding
net.ipv4.ip_forward = 1

# Controls source route verification
net.ipv4.conf.default.rp_filter = 1

# Do not accept source routing
net.ipv4.conf.default.accept_source_route = 0

# Controls the System Request debugging functionality of the kernel
kernel.sysrq = 0

# Controls whether core dumps will append the PID to the core filename.
# Useful for debugging multi-threaded applications.
kernel.core_uses_pid = 1

vm.dirty_background_ratio = 1
vm.dirty_ratio = 100

$ modinfo ath_pci
filename:       /lib/modules/
license:        Dual BSD/GPL
version:        svn r4099
description:    Support for Atheros 802.11 wireless LAN cards.
author:         Errno Consulting, Sam Leffler
srcversion:     A134E374A76B7ECEBF3CF7B

Everytime when i restart my hostapd, radvd will get ~95% CPU after a few seconds. Unplugging and replug the ethernet (or powercircle the switch) has the same result.

best regards
Comment 7 Bug Zapper 2009-12-18 04:18:14 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 8 Jiri Skala 2010-01-14 09:18:14 EST
I was not able to reproduce but I've found out the upstream version 1.5 contains fix for it. Radvd was updated to radvd-1.5. Could you test it?
Comment 9 Jiri Skala 2010-01-14 09:19:25 EST
I forgot to alert moving this bug to F-12. F12 + rawhide are re-based.
Comment 10 Jiri Skala 2010-01-19 04:00:27 EST
(In reply to comment #2)
> Still an issue on F11 with: radvd-1.1-8.fc11.x86_64    

Please, could you test version for F12 from testing repository. I'm willing to re-base F11 too but I prefer to test it firstly.


Comment 11 Jiri Skala 2010-04-28 07:14:37 EDT
Some news? There is radvd-1.6 in testing repository ...
Comment 12 Stefan Jensen 2010-05-05 09:49:29 EDT
Sorry for the late reply. I'm horrible busy these days. :-(

I have another new box running "F12" and "radvd-1.5-2.fc12.x86_64". On this box, it seems there is no problem when a interface is coming up again, when it is gone away once.

Currently i can't update our main machine (which has *a lot* more interfaces), and it is still F10 which runs "radvd-1.1-6.fc10.x86_64" and the error still exist, of course. I'm trying to upgrade this box to F12 as soon as possible.

Indeed, 24-hours are not enough ;-)

best regards
Comment 13 Stefan Jensen 2010-05-05 10:17:49 EDT
I just realized, that i can simply get radvd from F12 and update via rpm, even on F10. Doh :-)

And the error seems to be history now.

Now running "radvd-1.5-2.fc12.x86_64" on F10. I did a quick test restarting radvd, and than taking the port on the switch down/up remotely. Works fine.

best regards
Comment 14 Jiri Skala 2010-05-05 10:27:45 EDT
Thanks a lot for your test & report. Well, I'm going to close this bug.

Just before closing one remark - there were messaged bug #579869 that is fixed by radvd-1.6. This update is in testing repository. I recommend to use this newer update.

Note You need to log in before you can comment on or make changes to this bug.